Applies to:
Foxtrot Classic, Foxtrot Legacy — all versions

When installing or upgrading the Foxtrot Suite software on your Windows Server 2008 or 2012, you receive a message at the beginning of the install process that says .NET 3.5.1 is required to install Foxtrot Suite.  Here are the steps to get this feature installed on your server so Foxtrot can be installed.

Microsoft .NET Framework 3.5 SP1 is automatically provided in both the Windows 2008 and 2012 Server environment, but has to be installed as a Feature through the Server Manager. If the feature is not installed, you may receive the following error message:

dotNet Framework Role Management notification

The following are the proper steps to install this feature on a Windows Server 2008 R2:

  1. Click on the Windows Start button.
  2. Right-click the Computer icon along the right.
  3. Select the Manage option.
  4. Select Features in the options along the left.
  5. To add a feature, select the Add Features option.
  6. Once the Add Features Wizard appears, select the feature labeled .NET Framework 3.5.1 Features. Expanding this should display additional options.
  7. Check the box named .NET Framework 3.5.1
  8. Click Next to follow the prompts for installation

The following are the proper steps to install this feature on a Windows Server 2012:

  1. Click on the Windows button at the button left.
  2. Search for Server Manager.
  3. Locate the correct icon and click it.
  4. On the Server Manager Dashboard, select Add roles and features.
  5. Continue through the prompts until you reach the Features section.
  6. Locate the .NET Framework 3.5 Features item, and verify that both .NET Framework 3.5 Features and .NET Framework 3.5 are both checked.
  7. Clicking Next to continue with the installation should prompt for a reboot.
  8. Following a reboot of the server, the .NET Framework feature will be enabled, and Foxtrot should install successfully.

Last Modified 06/08/2015